Introducing the Better Auth Chargebee plugin: Use it to handle subscriptions, billing, and auth seamlessly.
Chargebeechargebee API

Export Revenue Recognition Reports

Idempotency Supported

This API triggers export for the revenue recognition report.

Note: This API call is asynchronous. You need to check if this operation has completed by checking if the export status is completed . You can do this by retrieving the export in a loop with a minimum delay of 10 secs between two retrieve requests. In case you are using any of the client libraries, use the wait for export completion function provided as an instance method in the library.

Sample Request

Sample Result[JSON]

URL Format

POST https://[site].chargebee.com/api/v2/exports/revenue_recognition

Input Parameters

report_by
required, enumerated string

Determines the scope of the report. Returns the report based on the value specified.

Enum Values
customer

Customer

invoice

Invoice

product

Product (Includes Plan, Addon and Adhoc)

subscription

Subscription

currency_code
optional, string, max chars=3

Value must be in ISO 4217 format. Generates the report based on the value specified. If no currency_code value is specified, then consolidated report based on base currency is returned.

report_from_month
required, integer

Obtains report data from the specified month, combined with the value specified for report_from_year. Values must be between 1 and 12, where 1 is January and 12 is December.

report_from_year
required, integer

Obtains report data from the specified year, combined with the value specified for report_from_month.

report_to_month
required, integer

Obtains report data from the specified month, combined with the value specified for report_to_year. Values must be between 1 and 12, where 1 is January and 12 is December.

report_to_year
required, integer

Obtains report data until the specified year, combined with the value specified for report_to_month.

include_discounts
optional, boolean, default=true

Returns amount with discount in the report. If value specified is false, it returns amount without discount.

payment_owner
optional, string

optional, string filter

Payment owner of an invoice. Supported operators : is, is_not, starts_with, in, not_in

Example → payment_owner[is] = "payment_customer"

item_id
optional, string

optional, string filter

The plan item code. Supported operators : is, is_not, starts_with, in, not_in

Example → item_id[is] = "silver"

item_price_id
optional, string

optional, string filter

The plan item price code. Supported operators : is, is_not, starts_with, in, not_in

Example → item_price_id[is] = "silver-USD-monthly"

cancel_reason_code
optional, string

optional, string filter

Reason code for canceling the subscription. Must be one from a list of reason codes set in the Chargebee app in Settings > Configure Chargebee > Reason Codes > Subscriptions > Subscription Cancellation. Must be passed if set as mandatory in the app. The codes are case-sensitive. Supported operators : is, is_not, starts_with, in, not_in

Example → cancel_reason_code[is] = "Not Paid"

business_entity_id
optional, string

optional, string filter

The unique ID of the business entity of this subscription. This is always the same as the business entity of the customer.

Supported operators : is, is_not, starts_with

Example → business_entity_id[is_not] = "business_entity_id"

invoice
Parameters for invoice
pass parameters as invoice[<param name>]
subscription
Parameters for subscription
pass parameters as subscription[<param name>]
customer
Parameters for customer
pass parameters as customer[<param name>]
relationship
Parameters for relationship
pass parameters as relationship[<param name>]

Returns

Export object
Resource object representing export